Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005145 [JEDI VCL] 00 JVCL Components major always 2010-01-31 12:26 2011-06-10 16:09
Reporter flyer199 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005145: JvXPBar1ItemClick ElistError
Description JvXPBar raise error 'Exception der Klasse ElistError mit der Meldung ‚Listenindex überschreitet das Maximum (-1) aufgetreten' in ItemClick when I try to show item.hint or item.caption with Delphi 2010 and JVCL 3.39

It did work with Delphi 2009 and JVCL 3.36

See additional information





Additional Information unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, JvExControls, JvXPCore, JvXPBar;

type
  TForm1 = class(TForm)
    ScrollBox1: TScrollBox;
    JvXPBar1: TJvXPBar;
    procedure JvXPBar1ItemClick(Sender: TObject; Item: TJvXPBarItem);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.JvXPBar1ItemClick(Sender: TObject; Item: TJvXPBarItem);
begin
  showmessage(item.Hint);
end;

end.
Tags No tags attached.
Attached Files rar file icon EListError Example and infos.rar [^] (5,503 bytes) 2010-01-31 19:11

- Relationships

-  Notes
(0017258)
obones (administrator)
2010-03-08 16:21

Thanks, this is now fixed in SVN

- Issue History
Date Modified Username Field Change
2010-01-31 12:26 flyer199 New Issue
2010-01-31 19:11 flyer199 File Added: EListError Example and infos.rar
2010-03-08 16:21 obones Note Added: 0017258
2010-03-08 16:21 obones Assigned To => obones
2010-03-08 16:21 obones Status new => resolved
2010-03-08 16:21 obones Resolution open => fixed
2010-03-08 16:21 obones Fixed in Version => Daily / SVN
2010-03-08 16:21 obones Target Version => 3.40 - not yet released
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker